%define anolis_release 3
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
%global debug_package   %{nil}
Name:           dpa-ext-gnomekeyring
Version:        5.0.11
Release:        1.%{anolis_release}%{?dist}
Summary:        GNOME keyring extension for dde-polkit-agent.
License:        GPLv3+
URL:            https://github.com/linuxdeepin/dpa-ext-gnomekeyring
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: qt5-devel
BuildRequires: libsecret-devel
BuildRequires: dde-polkit-agent-devel

%description
DDE Polkit Agent extension to automatically do some thing with GNOME keyring.

%prep
%autosetup

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
# cmake_minimum_required version is too high
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")
mkdir build && pushd build
%cmake ../ -DCMAKE_BUILD_TYPE=Release -DAPP_VERSION=%{version} -DVERSION=%{version}

%make_build -C %{_vpath_builddir}
popd

%install
%make_install -C build/%{_vpath_builddir} INSTALL_ROOT="%buildroot"

%files
%{_prefix}/lib/polkit-1-dde/plugins/libdpa-ext-gnomekeyring.so
%{_datadir}/%{name}/translations/*

%changelog
* Mon Jan 08 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.11-1.3
- fix build error

* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.11-1.2
- rebuild for qt

* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.11-1.1
- Specification spec file

* Tue Jan 10 2023 liweiganga <liweiganga@uniontech.com> - 5.0.11-1
- update: update to 5.0.11

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.0.9-1.01
- update: update to 5.0.9-1.01
